<?php

use tests\codeception\common\_pages\LoginPage;
use tests\codeception\frontend\_pages\SignupPage;
use tests\codeception\frontend\_pages\UserProfilePage;
use tests\codeception\frontend\FunctionalTester;

/* @var $scenario Codeception\Scenario */

$I = new FunctionalTester($scenario);
$I->amLoggedInAs(1);
$userProfilePage = UserProfilePage::openBy($I);

$I->wantTo("m'assurer que l'édition du profil de l'utilisateur fonctionne");
$I->see('Mon profil', 'h1');

$I->amGoingTo("modifier mon profil");
$userProfilePage->submit([
    'lastname' => 'Nom',
    'name' => 'Prénom',
    'phone' => '0600000000',
    'email' => 'test@opendistrib.net',
    'address' => 'Adresse',
    'password_old' => 'password_0',
    'password_new' => 'newpassword',
    'password_new_confirm' => 'newpassword',
]);
$I->see('Votre profil a bien été modifié', '.alert-success');
